import request from "@/utils/request";

// 获取服务列表
export function getModuleAll() {
  return request({
    url: "/erp/module/allDetail"
  });
}


// 刷新
export function refreshCache() {
    return request({
      url: "/erp/module/refreshCache",
      method: "PUT"
    });
}

/**
 * 新增服务
 * @param {*} data  {"moduleKey": "服务KEY", "moduleName":"服务名称", "pathPrefix": "请求前缀", "apiWhiteUrl": "api白名单"}
 * @returns 
 */
export function addModule(data) {
    return request({
      url: "/erp/module",
      method: "POST",
      data: data
    });
}

/**
 * 修改服务
 * @param {*} data  {"moduleKey": "服务KEY", "moduleName":"服务名称", "pathPrefix": "请求前缀", "apiWhiteUrl": "api白名单"}
 * @returns 
 */
export function editModule(data) {
    return request({
      url: "/erp/module",
      method: "PUT",
      data: data
    });
}